質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.99%

MonacaでCordova更新後(6.5.0)からビルドができなくなった

受付中

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,699

wacci

score 4

ビルド作業をすると下記エラーが出てしまう。
Cordova更新前は問題なかった分困っています。

発生している問題・エラーメッセージ

Fetch queue Info...
Start building 59847deb013eb01f4ef4b5ff
Setup working directories...
Download project archive...
Extract project archive...
Fetch project info...
Webview:null
Arch:null
cordova version: 6.5.0


- preBuild -
buildForAndroid

- Cordova create -
$ /data/build-server/cordova/6.5.0/bin/cordova create /tmp/monaca/59847deb013eb01f4ef4b5ff/project
Creating a new cordova project.


- Copy .monaca-res directory -

- Copy config.xml -

- Cordova platform add -
$ /data/build-server/cordova/6.5.0/bin/cordova platform add /data/build-server/cordova/platforms/android/6.2.3
Adding android project...
Creating Cordova project for the Android platform:
    Path: platforms/android
    Package: monaca.app.ZoNE
    Name: ZoNE
    Activity: MainActivity
    Android target: android-25
Subproject Path: CordovaLib
Android project created with cordova-android@6.2.3


- Copy external plugin setting files -

- Copy files for signing -

- Copy www files -

- Cordova plugin add -
$ /data/build-server/cordova/6.5.0/bin/cordova plugin add cordova-plugin-whitelist@1.3.1

- Cordova prepare -
$ /data/build-server/cordova/6.5.0/bin/cordova prepare android


- Cordova compile -
$ /data/build-server/cordova/6.5.0/bin/cordova compile --release --device
ANDROID_HOME=/data/android-sdk
JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.8.0_111.jdk/Contents/Home
:wrapper

BUILD SUCCESSFUL

Total time: 0.83 secs
Subproject Path: CordovaLib
The Task.leftShift(Closure) method has been deprecated and is scheduled to be removed in Gradle 5.0. Please use Task.doLast(Action) instead.
    at build_3ucvo9j2irxrxf7xrc6r2g6xk.run(/private/tmp/monaca/59847deb013eb01f4ef4b5ff/project/platforms/android/build.gradle:137)
The JavaCompile.setDependencyCacheDir() method has been deprecated and is scheduled to be removed in Gradle 4.0.
Incremental java compilation is an incubating feature.
The TaskInputs.source(Object) method has been deprecated and is scheduled to be removed in Gradle 4.0. Please use TaskInputs.file(Object).skipWhenEmpty() instead.
:preBuild UP-TO-DATE
:preReleaseBuild UP-TO-DATE
:checkReleaseManifest
:CordovaLib:preBuild UP-TO-DATE
:CordovaLib:preReleaseBuild UP-TO-DATE
:CordovaLib:checkReleaseManifest
:CordovaLib:prepareReleaseDependencies
:CordovaLib:compileReleaseAidl
:CordovaLib:compileReleaseNdk UP-TO-DATE
:CordovaLib:compileLint
:CordovaLib:copyReleaseLint UP-TO-DATE
:CordovaLib:mergeReleaseShaders
:CordovaLib:compileReleaseShaders
:CordovaLib:generateReleaseAssets
:CordovaLib:mergeReleaseAssets
:CordovaLib:mergeReleaseProguardFiles
:CordovaLib:packageReleaseRenderscript UP-TO-DATE
:CordovaLib:compileReleaseRenderscript
:CordovaLib:generateReleaseResValues
:CordovaLib:generateReleaseResources
:CordovaLib:packageReleaseResources
:CordovaLib:processReleaseManifest
:CordovaLib:generateReleaseBuildConfig
:CordovaLib:processReleaseResources
:CordovaLib:generateReleaseSources
:CordovaLib:incrementalReleaseJavaCompilationSafeguard
:CordovaLib:compileReleaseJavaWithJavac
:CordovaLib:compileReleaseJavaWithJavac - is not incremental (e.g. outputs have changed, no previous execution, etc.).
:CordovaLib:processReleaseJavaRes UP-TO-DATE
:CordovaLib:transformResourcesWithMergeJavaResForRelease
:CordovaLib:transformClassesAndResourcesWithSyncLibJarsForRelease
:CordovaLib:mergeReleaseJniLibFolders
:CordovaLib:transformNative_libsWithMergeJniLibsForRelease
:CordovaLib:transformNative_libsWithSyncJniLibsForRelease
:CordovaLib:bundleRelease
:prepareOrgApacheCordovaCordovaLib623ReleaseLibrary
:prepareReleaseDependencies
:compileReleaseAidl
:compileReleaseRenderscript
:generateReleaseBuildConfig
:generateReleaseResValues
:generateReleaseResources
:mergeReleaseResources
AAPT: libpng error: Read Error
AAPT: libpng error: Not a PNG file
Error: java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException: 
:mergeReleaseResources FAILED

BUILD FAILED

Total time: 1.282 secs


- postBuild -
Remove working directories...
Build Error: Error: Sandbox Exec Error: [ 注意:一部の入力ファイルは非推奨のAPIを使用またはオーバーライドしています。
注意:詳細は、-Xlint:deprecationオプションを指定して再コンパイルしてください。
AAPT err(Facade for 450171829) : No Delegate set : lost message:libpng error: Read Error
AAPT err(Facade for 1092704202) : No Delegate set : lost message:libpng error: Read Error
AAPT err(Facade for 450171829) : No Delegate set : lost message:libpng error: Read Error
AAPT err(Facade for 1525561529) : No Delegate set : lost message:libpng error: Read Error
AAPT err(Facade for 1545025401) : No Delegate set : lost message:libpng error: Read Error

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':mergeReleaseResources'.
> Error: java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException: 

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
AAPT err(Facade for 1525561529) : No Delegate set : lost message:libpng error: Read Error
Error: /private/tmp/monaca/59847deb013eb01f4ef4b5ff/project/platforms/android/gradlew: Command failed with exit code 1 Error output:
注意:一部の入力ファイルは非推奨のAPIを使用またはオーバーライドしています。
注意:詳細は、-Xlint:deprecationオプションを指定して再コンパイルしてください。
AAPT err(Facade for 450171829) : No Delegate set : lost message:libpng error: Read Error
AAPT err(Facade for 1092704202) : No Delegate set : lost message:libpng error: Read Error
AAPT err(Facade for 450171829) : No Delegate set : lost message:libpng error: Read Error
AAPT err(Facade for 1525561529) : No Delegate set : lost message:libpng error: Read Error
AAPT err(Facade for 1545025401) : No Delegate set : lost message:libpng error: Read Error

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':mergeReleaseResources'.
> Error: java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException: 

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
AAPT err(Facade for 1525561529) : No Delegate set : lost message:libpng error: Read Error
 ]

試したこと

・キーストア確認(再入力)
・スプラッシュ画像再アップロード(他事例があった為)

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

0

完全な回答とはいえませんが、ヒントとなることを記述します。

利用しているCordovaプラグインを確認してください。
Cordova6.5におけるビルドでは、以下の現象を私は確認しています。

  • NCMBプラグインを利用しているなら、バージョン2.0.4以降だと失敗します。
  • Crosswalkプラグインを利用しているなら、バージョン2.0未満だとたぶん失敗します。

私の把握している情報はこの程度ですが、要するに、各プラグインのうち、Corodova6.5にとって適切でないバージョンのプラグインを利用しているとビルド失敗するようです。
利用しているプラグインを順番に無効化して、ビルド失敗を引き起こすプラグインを特定してください。
失敗するプラグインが特定出来たら、そのプラグインを利用してもビルドが成功するバージョンを探ってください。
もしあなたがフリープランなら3ビルド制限で相当に厳しいでしょうけど、地道に調査していくしかありません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/08/06 00:24

    回答ありがとうございます。
    まずはプラグイン関連を調べてみようと思います。

    キャンセル

0

私も同様の問題で悩んでおります。
cordova plugin NCMBが問題であることはわかったのですが、そのバージョンを低くしても問題が継続してしまいます。。。
どうすれば直るんでしょうね

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.99%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる